// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "MiniDraw.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
   //{{AFX_MSG_MAP(CMainFrame)
   ON_WM_CREATE()
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()

// IDs for status bar indicators:
static UINT IndicatorIDs [] =
   {
   ID_SEPARATOR,    
   ID_INDICATOR_CAPS,
   ID_INDICATOR_NUM,
   ID_INDICATOR_SCRL,
   };   

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
   // TODO: add member initialization code here
   
}

CMainFrame::~CMainFrame()
{
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
   // TODO: Modify the Window class or styles here by modifying
   //  the CREATESTRUCT cs

   return CFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
   CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
   CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

BOOL CMainFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext) 
{
   // TODO: Add your specialized code here and/or call the base class
   
   return m_SplitterWnd.Create
      (this,           // parent of splitter window
      1,               // maximum rows      
      2,               // maximum columns
      CSize (15, 15),  // minimum view window size
      pContext);       // pass on context information
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
   if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
      return -1;
   
   // TODO: Add your specialized creation code here
   
   if (!m_ToolBar.Create (this) ||
      !m_ToolBar.LoadToolBar(IDR_MAINFRAME))
      return -1;

   m_ToolBar.EnableDocking (CBRS_ALIGN_ANY);
   EnableDocking (CBRS_ALIGN_ANY);
   DockControlBar (&m_ToolBar);

   m_ToolBar.SetBarStyle (m_ToolBar.GetBarStyle() |
      CBRS_TOOLTIPS | CBRS_FLYBY);

   if (!m_StatusBar.Create (this) ||
      !m_StatusBar.SetIndicators (IndicatorIDs, 
      sizeof (IndicatorIDs) / sizeof (UINT)))
      return -1;

   return 0;
}
