// MiniDrVw.h : interface of the CMiniDrawView class
//
/////////////////////////////////////////////////////////////////////////////

const int DRAWWIDTH  = 4000;  // drawing width
const int DRAWHEIGHT = 6000;  // drawing height

class CMiniDrawView : public CScrollView
{
protected:
   CString m_ClassName;
   int m_Dragging;
   HCURSOR m_HArrow;
   HCURSOR m_HCross;
   int m_NumCols, m_NumRows;
   int m_PageHeight, m_PageWidth;
   CPen m_PenDotted;
   CPoint m_PointOld;
   CPoint m_PointOrigin;

protected: // create from serialization only
   CMiniDrawView();
   DECLARE_DYNCREATE(CMiniDrawView)

// Attributes
public:
   CMiniDrawDoc* GetDocument();

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CMiniDrawView)
   public:
   virtual void OnDraw(CDC* pDC);  // overridden to draw this view
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   virtual void OnInitialUpdate();
   virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
   protected:
   virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
   virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
   virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CMiniDrawView();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CMiniDrawView)
   afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
   afx_msg void OnMouseMove(UINT nFlags, CPoint point);
   afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MiniDrVw.cpp
inline CMiniDrawDoc* CMiniDrawView::GetDocument()
   { return (CMiniDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
